<?php

namespace App\Entities\Part;

use App\Models\Part\DISKModel;

class DISKEntity extends PartType1Entity
{
    const PK = DISKModel::PK;
    const TITLE = DISKModel::TITLE;

    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    //기본기능    

    public function getFormat(): int
    {
        return $this->format ?? 0;
    }
}
